---
title: "Withdraw"
source_url: https://docs.rapyd.net/en/withdraw.html
lang: en
---

# Withdraw

Withdraw funds from a Rapyd Wallet.

The Point-of-Sale location uses this method when the customer removes money from the customer’s own wallet.

After you use this method, you must call the [Close Session](https://docs.rapyd.net/en/close-session.md "Close Session") method to complete the process.

The wallet is specified in the `phone_number` field of the header. The `currency_code` determines which wallet account the funds are taken from. If there is not enough money in that account, the withdrawal fails.

> **Note:**
>
> The base URL for the POS production environment is **https://pos.rapyd.net**. It requires its own access key, which is different from the access key for the Payment API. To obtain an access key for the POS production environment and to set up a sandbox environment for the POS API, contact **[Rapyd Client Support](https://support.rapyd.net)**.

### Parameters

### Request Path Parameters

- - account
  - ID of the account that has the currency the user wants to withdraw. UUID.
- - sum
  - Amount of withdrawal. Decimal.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - operation_id
  - Operation ID received from [Open Session](https://docs.rapyd.net/en/open-session.md "Open Session").
- - phone_number
  - Phone number of the Rapyd wallet in E.164 format.
- - token_id
  - Token ID received from [Open Session](https://docs.rapyd.net/en/open-session.md "Open Session").

### Response Parameters

- - transaction_id
  - ID of the withdrawal transaction. UUID.

- /v1/pos/withdraw/{account}/{sum}

- Withdraw
- ```curl
  curl -X post
  https://sandboxpos.rapyd.net/v1/pos/withdraw/4f436024-c3be-11e7-9273-0ef1982c1e4a/10.99
  -H 'access_key: your-access-key-here'
  -H 'Content-Type: application/json'
  -H 'idempotency: your-idempotency-parameter-here'
  -H 'salt: your-random-string-here'
  -H 'signature: your-calculated-signature-here'
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "0",
          "status": "SUCCESS",
          "message": "",
          "operation_id": "941f2764-2892-4cfc-badb-7a80818937c7"
      },
      "data": {
          "transaction_id": "4f0a7b1f-a394-11e7-9273-0ef1982c1e4a"
      }
  }
  ```
